Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.osgi.sample.web.internal
Class HttpServiceTracker

    java.lang.Object
      org.osgi.util.tracker.ServiceTracker
          com.atomikos.osgi.sample.web.internal.HttpServiceTracker

All Implemented Interfaces:
  org.osgi.util.tracker.ServiceTrackerCustomizer

    public class HttpServiceTracker

extends org.osgi.util.tracker.ServiceTracker

Field Summary

Fields inherited from class org.osgi.util.tracker.ServiceTracker
`context, filter`

Constructor Summary
`HttpServiceTracker(org.osgi.framework.BundleContext context, com.atomikos.osgi.sample.web.internal.Controller controller)`

Method Summary
`Object` | `addingService(org.osgi.framework.ServiceReference reference)`
`void` | `removedService(org.osgi.framework.ServiceReference reference, Object service)`

Methods inherited from class org.osgi.util.tracker.ServiceTracker
`close, getService, getService, getServiceReference, getServiceReferences, getServices, getTrackingCount, modifiedService, open, open, remove, size, waitForService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpServiceTracker

    public HttpServiceTracker(org.osgi.framework.BundleContext context,
                              com.atomikos.osgi.sample.web.internal.Controller controller)

Method Detail

### addingService

    public Object addingService(org.osgi.framework.ServiceReference reference)

  Specified by:
    `addingService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer`
  Overrides:
    `addingService` in class `org.osgi.util.tracker.ServiceTracker`

### removedService

    public void removedService(org.osgi.framework.ServiceReference reference,
                               Object service)

  Specified by:
    `removedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer`
  Overrides:
    `removedService` in class `org.osgi.util.tracker.ServiceTracker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.